#!/bin/bash
SERVERNAME=rc4
#CONFIG_VOLUME=1e96c0cb-e074-4bea-a2a7-62e8c198f433

echo "Creating VM ${SERVERNAME}"

openstack server create  \
--image "Debian Jessie 64-bit 8.7.2" \
--user-data data-${SERVERNAME}.yaml \
--key-name "Sebastian Rojo" \
--flavor m1.medium.sd \
--min 1 \
--max 1 \
--security-group default \
--security-group ngcp-rc4 \
--availability-zone nuczone:novanuc1.sapian.com.co \
--nic net-id=7a9ae8e9-8425-4084-94cc-fb70c069e957 \
--wait \
${SERVERNAME}

for RUN in {1..50}; do
    if [ "$(openstack server show ${SERVERNAME} | awk '/status/ {print $4}')" == "ACTIVE" ]
    then
      openstack server show ${SERVERNAME}
      #echo "${SERVERNAME} Active. Attahing CONFIG_VOLUME ${CONFIG_VOLUME}..."
      #openstack server add volume --device /dev/vdb ${SERVERNAME} ${CONFIG_VOLUME}
      #openstack server add floating ip ${SERVERNAME} 172.16.253.108
      #openstack volume show ${CONFIG_VOLUME}
      openstack server show ${SERVERNAME}
      exit 0
    else
      echo "VM ${SERVERNAME} is not active yet"
      sleep 2
    fi
done
